---
- apiVersion: cdi.kubevirt.io/v1beta1
  kind: DataVolume
  metadata:
    name: fedora-39
    namespace: openshift-virtualization-os-images
    annotations:
      cdi.kubevirt.io/storage.bind.immediate.requested: 'true'
    labels:
      created-by-dynamic-class-creator: 'Yes'
  spec:
    source:
      http:
        url: http://cnv-qe-server.rhos-psi.cnv-qe.rhood.us/files/cnv-tests/fedora-images/Fedora-Cloud-Base-39-1.5.x86_64.qcow2
    storage:
      resources:
        requests:
          storage: 10Gi
      storageClassName: ocs-storagecluster-ceph-rbd-virtualization
    contentType: kubevirt
- apiVersion: cdi.kubevirt.io/v1beta1
  kind: DataSource
  metadata:
    name: fedora-39
    namespace: openshift-virtualization-os-images
    labels:
      created-by-dynamic-class-creator: 'Yes'
  spec:
    source:
      pvc:
        name: fedora-39
        namespace: openshift-virtualization-os-images
